Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » AppCompatActivity and Eclipse(How to use AppCompatActivity with Eclipse )
AppCompatActivity and Eclipse [message #1743094] Mon, 12 September 2016 08:33 Go to next message
Alekos Psimikakis is currently offline Alekos PsimikakisFriend
Messages: 3
Registered: February 2016
Junior Member
I have a problem using AppCompatActivity with Eclipse Neon. More specifically:

1) I have imported 'android.support.v7.app.AppCompatActivity' and 'android.support.v7.app.ActionBar' and set my main activity as 'public class Main extends AppCompatActivity'.
2) I have added 'android-support-v7.appcompat.jar' and 'android-support-v4.jar' in the libraries ('v4' seems not to be included in 'v7' because if I don't add it too, Eclipse does not accept AppCompatActivity)
3) I get stuck already in setting res/values/styles.xml: <style name="AppTheme" parent="Theme.AppCompat">
I get "Error retrieving parent for item: No resource found that matches the given name 'Theme.AppCompat'."
Now, if I leave the default <style name="AppTheme" parent="AppBaseTheme"> the app crashes. (Note that the main activity is empty - nothing else can make the app crash)
4) I am using API level 17 as target. (It is supposed that AppCompatActivity works from APL level 15+)
Re: AppCompatActivity and Eclipse [message #1743133 is a reply to message #1743094] Mon, 12 September 2016 13:45 Go to previous messageGo to next message
Eric Rizzo is currently offline Eric RizzoFriend
Messages: 3071
Registered: July 2009
Senior Member
Did you read the Announcement message at the top of this forum group, the one with Android in its title?
Re: AppCompatActivity and Eclipse [message #1743417 is a reply to message #1743133] Thu, 15 September 2016 09:24 Go to previous message
Alekos Psimikakis is currently offline Alekos PsimikakisFriend
Messages: 3
Registered: February 2016
Junior Member
You are right, but before posting the question here, I checked thoroughly stackoverflow.com -- the basic source for help -- and even I posted the particular question in it. All the replies suggest to me to use Android Studio. So, I assume that this is the only place where I can look for answers regarding the issue in question as it relates to Eclipse. I also assume that since Android is still quite popular these days, there ought to be quite a few Eclipse users that might have encountered this issue. So, I will have to wait for a reply ...
Previous Topic:Problem with Eclipse Debugger?
Next Topic:[Eclipse] Installation failed with an Error
Goto Forum:
  


Current Time: Fri Aug 23 00:14:22 GMT 2019

Powered by FUDForum. Page generated in 0.03103 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top